> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payfonte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a Disbursement

> Verify a Disbursement



## OpenAPI

````yaml /api-reference/openapi-3.1.yml get /billing/v1/disbursements/verify/{reference}
openapi: 3.1.0
info:
  title: Payfonte - OpenAPI 3.1
  description: >-
    This is the minimal API for payfonte collection and disbursements API. To
    view a more elaborate documentation see here.


    Some useful links:

    - [Home](https://payfonte.com)

    - [Payfonte Documentation](https://docs.payfonte.com)
  termsOfService: https://www.payfonte.com/terms
  contact:
    email: tech@payfonte.com
  version: 1.0.0
servers:
  - url: https://sandbox-api.payfonte.com
    description: Sandbox API Base URL
  - url: https://api.payfonte.com
    description: Production API Base URL
security:
  - clientId: []
    clientSecret: []
tags:
  - name: Collections
    description: Everything about your payment collection with payfonte
    externalDocs:
      description: Find out more
      url: https://docs.payfonte.com/#/collections/inline
  - name: Disbursements
    description: >
      Find full list of supported Disbursement providers here [Supported
      Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)

      There are 3 main process to carry out a Disbursement on Payfonte

      1. Validate A transfer Recipient

      2. Initiate a Disbursement Request

      3. Verify a Disbursement Request
  - name: Wallets
    description: >-
      A Little bit about our [wallets here]
      (https://docs.payfonte.com/#/introductions/wallets)
paths:
  /billing/v1/disbursements/verify/{reference}:
    get:
      tags:
        - Disbursements
      summary: Verify a Disbursement
      description: Verify a Disbursement
      operationId: VerifyADisbursement
      parameters:
        - in: path
          name: reference
          schema:
            type: string
          required: true
          description: Reference of the transaction to verify
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/VerifyDisbursementTransactionResponse'
components:
  schemas:
    VerifyDisbursementTransactionResponse:
      type: object
      properties:
        status:
          type: string
          description: Status of the transaction
          enum:
            - success
            - failed
            - processing
          examples:
            - success
        reference:
          type: string
          description: Transaction Reference
        externalReference:
          type: string
          description: >-
            This is the reference sent to us by the merchant when the
            transaction was created
        amount:
          $ref: '#/components/schemas/Amount'
        currency:
          $ref: '#/components/schemas/Currency'
        user:
          $ref: '#/components/schemas/User'
        provider:
          $ref: '#/components/schemas/Provider'
    Amount:
      type: integer
      description: >-
        Amount should be in the subunit of the supported currency i.e value *
        100 [Amount
        Specification](https://docs.payfonte.com/guides/introductions/amount-specification)
      format: int64
      example: 100000
      examples:
        - 100000
    Currency:
      type: string
      description: 3 character currency code
      example: USD, NGN, XOF, XAF
      examples:
        - NGN
        - USD
        - XOF
        - XAF
    User:
      type: object
      properties:
        name:
          type: string
          description: customer's name
          example: Example User
          examples:
            - Example User
        email:
          type: string
          description: customer's email
          example: user@example.com
          format: email
          examples:
            - user@example.com
        phoneNumber:
          type: string
          description: customer's phone number
          example: '2347012345678'
          examples:
            - '2347012345678'
    Provider:
      type: string
      description: >-
        This is the provider we are validating the account against. Find full
        list of providers here [Supported
        Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)
      examples:
        - provider-slug
  securitySchemes:
    clientId:
      type: apiKey
      name: client-id
      in: header
    clientSecret:
      type: apiKey
      name: client-secret
      in: header

````